Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 829131 - mercurial.eclass: support EAPI 8
Summary: mercurial.eclass: support EAPI 8
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Eclasses (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Cédric Krier
URL: https://archives.gentoo.org/gentoo-de...
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-12-14 05:43 UTC by Sam James
Modified: 2022-01-08 13:31 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Sam James archtester Gentoo Infrastructure gentoo-dev Security 2021-12-14 05:43:48 UTC
Please add support to the eclass for EAPI 8 and send the patch to gentoo-dev using git send-email. Thanks!

(CCing cedk as maintainer of dev-vcs/mercurial.)
Comment 1 Christoph Junghans gentoo-dev 2021-12-14 16:56:53 UTC
I currently don't have time to work on this!

@cedk could you?
Comment 2 Cédric Krier gentoo-dev 2022-01-01 17:48:07 UTC
Here is the patch.
I tested it with the mercurial-9999.ebuild.
Comment 3 Larry the Git Cow gentoo-dev 2022-01-08 13:31:46 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=9f24bebc8dd0d5dd6b8c683ea8bc1b39c64481d4

commit 9f24bebc8dd0d5dd6b8c683ea8bc1b39c64481d4
Author:     Cédric Krier <cedk@gentoo.org>
AuthorDate: 2022-01-01 17:35:31 +0000
Commit:     Cédric Krier <cedk@gentoo.org>
CommitDate: 2022-01-08 13:31:40 +0000

    eclass/mercurial.eclass: add EAPI 8
    
    Closes: https://bugs.gentoo.org/829131
    Signed-off-by: Cédric Krier <cedk@gentoo.org>

 eclass/mercurial.eclass | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)